Szia

Pageviews

GET https://analytics.eclick.app/api/pageviews-normal/
curl --request GET \
--url 'https://analytics.eclick.app/api/pageviews-normal/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
website_id Required Integer
type Optional String Allowed values: landing_page, pageview
session_id Optional Integer
visitor_id Optional Integer
has_bounced Optional Integer Allowed values: 0, 1
search Optional String The search string.
search_by Optional String What field are you searching by. Allowed values are: path, title, referrer_host, referrer_path, utm_source, utm_medium, utm_campaign.
datetime_field Optional String Allowed values: date
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String What field to order the results by. Allowed values are: event_id, session_id, visitor_id, path, title, has_bounced, expiration_date, date.
order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering.
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.
{
    "data": [
        {
            "id": 1,
            "event_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
            "session_id": 1,
            "visitor_id": 1,
            "website_id": 1,
            "type": "pageview",
            "path": "/dashboard",
            "title": "Dashboard",
            "referrer_host": null,
            "referrer_path": null,
            "utm_source": null,
            "utm_medium": null,
            "utm_campaign": null,
            "viewport_width": 1920,
            "viewport_height": 1080,
            "has_bounced": false,
            "expiration_date": "2027-07-06",
            "datetime": "2026-07-06 15:39:51"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://analytics.eclick.app/api/pageviews-normal?website_id=1&page=1",
        "last": "https://analytics.eclick.app/api/pageviews-normal?website_id=1&page=1",
        "next": null,
        "prev": null,
        "self": "https://analytics.eclick.app/api/pageviews-normal?website_id=1&page=1"
    }
}
GET https://analytics.eclick.app/api/pageviews-normal/{event_id}
curl --request GET \
--url 'https://analytics.eclick.app/api/pageviews-normal/{event_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "event_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
        "session_id": 1,
        "visitor_id": 1,
        "website_id": 1,
        "type": "pageview",
        "path": "/dashboard",
        "title": "Dashboard",
        "referrer_host": null,
        "referrer_path": null,
        "utm_source": null,
        "utm_medium": null,
        "utm_campaign": null,
        "viewport_width": 1920,
        "viewport_height": 1080,
        "has_bounced": false,
        "expiration_date": "2027-07-06",
        "datetime": "2026-07-06 15:39:51"
    }
}
DELETE https://analytics.eclick.app/api/pageviews-normal/{event_id}
curl --request DELETE \
--url 'https://analytics.eclick.app/api/pageviews-normal/{event_id}' \
--header 'Authorization: Bearer {api_key}' \